delete Destroys an object
Usage
delete [-q] [-i] <objectHandle>
Description
Schedules for destruction the object designed by <objectHandle>. This command is internally aliased to destroy. Please note that the object is not immediately destroyed: it will be destroyed when KVIrc returns to the main event loop, so after the current script code part has been executed. This behaviour makes the object destruction safe in any part of the script, but may lead to problems when using signals and slots. For example, when you delete an object that emits some signals, the signals may be still emitted after the delete call. You have to disconnect the signals explicitly if you don't want it to happen. The -q switch causes the command to run a bit more silently: it still complains if the parameter passed is not an object reference, but it fails silently if the reference just points to an inexistent object (or is null).
Switches
-q | --quiet
Causes the command to run quietly
Examples

Index, Commands